Subject: bug#52089: [core-updates-frozen] geeqie fails to launch

From: John Kehayias <[email-masked]>
Date: Sat, 27 Nov 2021 02:06:26 +0000

I had reported this on IRC earlier and think I've found the fix. The upstream issue is https://github.com/BestImageViewer/geeqie/issues/829  and leads to the following commit that should fix it https://github.com/BestImageViewer/geeqie/commit/f34ea0700048c27319a2256408171adda32a7580

I'm attaching this commit as a patch for our current version (just cherry-picked this commit) to try. I tried it with the following command

guix shell geeqie --with-patch=geeqie=0001-Fix-829-segfault-with-clutter-gtk.patch

And it started up for me without the error or changing options. I'm not sure if this is related to some other issues that we discussed on IRC (a segfault on icon view?), but at least this fixes the startup problem. Since this is fixed upstream, on the next version update we should be able to remove this patch.

John

From c99084ac5fc2fb854ff8e8abd4bd3298fb08fb43 Mon Sep 17 00:00:00 2001
From: Colin Clark <[email-masked]>
Date: Sat, 9 Jan 2021 11:35:41 +0000
Subject: [PATCH] Fix #829: segfault with clutter-gtk

https://github.com/BestImageViewer/geeqie/issues/829

This fix might cause other problems which might be cured by calling:
LIBGL_ALWAYS_INDIRECT=1 geeqie

or, worst case:
geeqie --disable-clutter
---
 src/main.c | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/src/main.c b/src/main.c
index f497240d..4af654fe 100644
--- a/src/main.c
+++ b/src/main.c
@@ -904,11 +904,6 @@ gint main(gint argc, gchar *argv[])
 #ifdef HAVE_GTHREAD
 #if !GLIB_CHECK_VERSION(2,32,0)
 	g_thread_init(NULL);
-#endif
-#ifdef HAVE_CLUTTER
-/* FIXME: see below */
-	putenv("LIBGL_ALWAYS_INDIRECT=1");
-	XInitThreads();
 #endif
 	gdk_threads_init();
 	gdk_threads_enter();
-- 
2.34.0